CreateIngestionConfig
curl --request POST \
--url https://api.siftstack.com/api/v1/ingestion-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetName": "<string>",
"flows": [
{
"name": "<string>",
"channels": [
{
"name": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"component": "<string>",
"unit": "<string>",
"description": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
]
}
]
}
],
"organizationId": "<string>",
"clientKey": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/ingestion-configs"
payload = {
"assetName": "<string>",
"flows": [
{
"name": "<string>",
"channels": [
{
"name": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"component": "<string>",
"unit": "<string>",
"description": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": True
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
]
}
]
}
],
"organizationId": "<string>",
"clientKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/ingestion-configs"
payload := strings.NewReader("{\n \"assetName\": \"<string>\",\n \"flows\": [\n {\n \"name\": \"<string>\",\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"dataType\": \"CHANNEL_DATA_TYPE_UNSPECIFIED\",\n \"component\": \"<string>\",\n \"unit\": \"<string>\",\n \"description\": \"<string>\",\n \"enumTypes\": [\n {\n \"name\": \"<string>\",\n \"key\": 123,\n \"isSigned\": true\n }\n ],\n \"bitFieldElements\": [\n {\n \"name\": \"<string>\",\n \"index\": 123,\n \"bitCount\": 123\n }\n ]\n }\n ]\n }\n ],\n \"organizationId\": \"<string>\",\n \"clientKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ingestionConfig": {
"ingestionConfigId": "<string>",
"assetId": "<string>",
"clientKey": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}IngestionConfigService
CreateIngestionConfig
Create an ingestion config.
POST
/
api
/
v1
/
ingestion-configs
CreateIngestionConfig
curl --request POST \
--url https://api.siftstack.com/api/v1/ingestion-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetName": "<string>",
"flows": [
{
"name": "<string>",
"channels": [
{
"name": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"component": "<string>",
"unit": "<string>",
"description": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
]
}
]
}
],
"organizationId": "<string>",
"clientKey": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/ingestion-configs"
payload = {
"assetName": "<string>",
"flows": [
{
"name": "<string>",
"channels": [
{
"name": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"component": "<string>",
"unit": "<string>",
"description": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": True
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
]
}
]
}
],
"organizationId": "<string>",
"clientKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/ingestion-configs"
payload := strings.NewReader("{\n \"assetName\": \"<string>\",\n \"flows\": [\n {\n \"name\": \"<string>\",\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"dataType\": \"CHANNEL_DATA_TYPE_UNSPECIFIED\",\n \"component\": \"<string>\",\n \"unit\": \"<string>\",\n \"description\": \"<string>\",\n \"enumTypes\": [\n {\n \"name\": \"<string>\",\n \"key\": 123,\n \"isSigned\": true\n }\n ],\n \"bitFieldElements\": [\n {\n \"name\": \"<string>\",\n \"index\": 123,\n \"bitCount\": 123\n }\n ]\n }\n ]\n }\n ],\n \"organizationId\": \"<string>\",\n \"clientKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ingestionConfig": {
"ingestionConfigId": "<string>",
"assetId": "<string>",
"clientKey": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request for a call to IngestionConfigService_CreateIngestionConfig to create an ingestion configs.
The request for a call to IngestionConfigService_CreateIngestionConfig to create an ingestion configs.
Show child attributes
Show child attributes
The client_key field is a user-defined string you can supply to uniquely identify
an ingestion config (and retrieve it via GetIngestionConfig).
An error is returned if you try to create an ingestion config with a
client_key that already exists.
Response
A successful response.
The result of a call to IngestionConfigService_CreateIngestionConfig.
Show child attributes
Show child attributes
Was this page helpful?
⌘I